PHP4.4 End Of Life and Planned Removal

Web Hosting Magic has been offering HardenedPHP hosting packages that support PHP 4.4 for many years.

We have been doing that even after upstream stopped supporting it 13 years ago.

We felt that it is our obligation to assist customers still using old PHP versions to keep their website/application online while working towards an upgrade. 


But the technology behind PHP 4.4 is now so outdated that it poses a significant risk not only to the customers using it but also to the systems that support it.

Thus, Web Hosting Magic will officially end support for PHP 4.4 on Jan 1, 2023.

This means that security vulnerabilities in PHP 4.4 will no longer be patched and the verison removed from our systems.


If you are still running an application that requires PHP 4.4, we highly recommend that you start looking around for a way to upgrade the app to work with either:


  • PHP 5.3
  • PHP 5.4
  • PHP 5.5
  • PHP 5.6
  • PHP 7.0
  • PHP 7.1
  • PHP 7.3


All the above PHP versions can ONLY be hosted in our Iowa data center.

  • PHP 7.4
  • PHP 8.0
  • PHP 8.1


Want to host a PHP application (even one running PHP5.6) securely?

You can ... with the HardenedPHP packages at https://dashboard.webhostingmagic.com/store/secure-php-hosting